package _VisualDVM.Passes.All;
import _VisualDVM.Global;
import _VisualDVM.Passes.PassCode;
import _VisualDVM.Passes.Server.TestingServerPass;
import _VisualDVM.Repository.Server.ServerCode;
public class RefreshDVMTests extends TestingServerPass<Object> {
    @Override
    public String getIconPath() {
        return "/icons/DownloadAll.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        return SendRequest(ServerCode.RefreshDVMTests);
    }
    @Override
    protected void performFinish() throws Exception {
        super.performFinish();
        Global.mainModule.getPass(PassCode.SynchronizeTests).Do();
    }
    //todo будет реализован когда наладится запуск сапфора на сервере тестирования.
    //todo тогда все процедуры с репозиторием и созданием групп и тестов, и определением сапфором их размерности будут на стороне сервера.
}
